org.apache.ignite.internal.processors.cache.transactions

## Interface TransactionProxy

All Superinterfaces:
  AutoCloseable, IgniteAsyncSupport, Transaction

All Known Implementing Classes:
  TransactionProxyImpl

    public interface TransactionProxy
    extends Transaction

Marker interface for transaction proxy.

### Method Summary

### Methods inherited from interface org.apache.ignite.transactions.Transaction

`close, commit, concurrency, implicit, isInvalidate, isolation, isRollbackOnly, nodeId, rollback, setRollbackOnly, startTime, state, threadId, timeout, timeout, xid`

### Methods inherited from interface org.apache.ignite.lang.IgniteAsyncSupport

`future, isAsync, withAsync`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015